## org.eclipse.amp.amf.abase
Class ABaseStandaloneSetupGenerated

    java.lang.Object
      org.eclipse.amp.amf.abase.ABaseStandaloneSetupGenerated

All Implemented Interfaces:
  org.eclipse.xtext.ISetup

Direct Known Subclasses:
  ABaseStandaloneSetup

    public class ABaseStandaloneSetupGenerated

extends java.lang.Object
implements org.eclipse.xtext.ISetup

Generated from StandaloneSetup.xpt!

Constructor Summary
`ABaseStandaloneSetupGenerated()`

Method Summary
`com.google.inject.Injector` `createInjector()`
`com.google.inject.Injector` `createInjectorAndDoEMFRegistration()`
`void` `register(com.google.inject.Injector injector)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ABaseStandaloneSetupGenerated

    public ABaseStandaloneSetupGenerated()

Method Detail

### createInjectorAndDoEMFRegistration

    public com.google.inject.Injector createInjectorAndDoEMFRegistration()

  Specified by:
    `createInjectorAndDoEMFRegistration` in interface `org.eclipse.xtext.ISetup`

### createInjector

    public com.google.inject.Injector createInjector()

### register

    public void register(com.google.inject.Injector injector)